Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class INTF_REPOSHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INTF_REPOSHelper

public class INTF_REPOSHelper
extends java.lang.Object

Helper class for : INTF_REPOS

Author:
  OpenORB Compiler

Constructor Summary
`INTF_REPOSHelper()`

Method Summary
`static INTF_REPOS` | `extract(Any a)` Extract INTF_REPOS from an any
`static java.lang.String` | `id()` Return the INTF_REPOS IDL ID
`static void` | `insert(Any a, INTF_REPOS t)` Insert INTF_REPOS into an any
`static INTF_REPOS` | `read(InputStream istream)` Read INTF_REPOS from a marshalled stream
`static TypeCode` | `type()` Return the INTF_REPOS TypeCode
`static void` | `write(OutputStream ostream, INTF_REPOS value)` Write INTF_REPOS into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INTF_REPOSHelper

    public INTF_REPOSHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INTF_REPOS t)

  Insert INTF_REPOS into an any
  Parameters:
    `a` - an any
    `t` - INTF_REPOS value

### extract

    public static INTF_REPOS extract(Any a)

  Extract INTF_REPOS from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INTF_REPOS value

### type

    public static TypeCode type()

  Return the INTF_REPOS TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INTF_REPOS IDL ID
  Returns:
    an ID

### read

    public static INTF_REPOS read(InputStream istream)

  Read INTF_REPOS from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INTF_REPOS value

### write

    public static void write(OutputStream ostream,
                             INTF_REPOS value)

  Write INTF_REPOS into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INTF_REPOS value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD